[HEADER]
NAME="group"
FILE_NAME="group.sh"
SHORT_DESCRIPTION="Tests group file"

DESCRIPTION="Checks passwd for whether
               * line is not blank
               * line has correct number of fields
               * groupname is not empty
               * groupname contains only alpha-numeric characters
               * groupname is shorter than 32 chars
               * all passwords are shadowed
               * GIDs are valid numbers
               * GIDs are in range 0..60000
               * there are groups with same GID
               * there are same groupname"
LEVELS="1 2 3 4 5"
DEFAULT_LEVEL="1"
GROUPS="filesystem"
DEPS="gawk grep which"
AUTHOR="Michel Samia <msamia@redhat.com>"

[DEFAULT]

[LEVEL_1]

[LEVEL_2]
