[HEADER]
NAME="filesystem"
FILE_NAME="filesystem.sh"
DESCRIPTION="Common filesystem checks:
              * finds all files which have have unknown owner UID or GID
              * finds world writable files
              * finds world or group writable executables
              * finds SUID scripts
              * finds executable files, which are not in rpm database
              * finds symbolic links pointing to non-existing files or directories"
NEED_DATA_DIR=0
LEVELS="3 4 5"
GROUPS="filesystem packages"
DEPS="grep ps sed"
AUTHOR="Dan Kopecek <dkopecek@redhat.com>"

[DEFAULT]
EXCLUDE=""
INCLUDE="/bin /sbin /boot /etc /tmp /var /lib* /libexec /usr/bin /usr/sbin /usr/lib* /usr/libexec /usr/local/bin /usr/local/sbin /opt"
RPMCHECK=0

[LEVEL_3]

[LEVEL_4]
INCLUDE="/"
EXCLUDE="/dev /proc /home/* /usr/src"

[LEVEL_5]
RPMCHECK=1
INCLUDE="/"
EXCLUDE="/dev /proc"
