[HEADER]
NAME="openssh"
FILE_NAME="openssh.sh"
DESCRIPTION="OpenSSH configuration audit."
NEED_DATA_DIR=1
LEVELS="3 4 5"
GROUPS="network"
DEPS="gawk grep mount netstat rpmquery sed which yum openssl"
REQUIRES="openssh"
AUTHOR="Dan Kopecek <dkopecek@redhat.com>"

[DEFAULT]
SSHD_USER="root"
SSHD_GROUP="root"
SSHD_CONFIG_PERM=755
SSHD_CONFIG_OWNER="root:root"
SSHD_CONFIGDIR_PERM=755
SSHD_CONFIGDIR_OWNER="root:root"
SSHD_PRIVKEY_PERM=600
SSHD_PRIVKEY_OWNER="root:root"
SSHD_PUBKEY_PERM=644
SSHD_PUBKEY_OWNER="root:root"
SSH_KNOWN_HOSTS_REQUIRE=0
SSH_KNOWN_HOSTS_PERM=644
SSH_KNOWN_HOSTS_OWNER="root:root"
SSHD_PRIVSEP_DIR_REQUIRE=1
SSHD_PRIVSEP_DIR_PERM=711
SSHD_PRIVSEP_DIR_OWNER="root:root"
SSHD_PRIVSEP_DIR="/var/empty/sshd"
SSHD_PRIVSEP_DIR_EMPTY=0
SSHD_CHECK_SHA256=1
SSH_CHECK_SHA256=1
SSHD_SHA256_LIST="sshd.sum"
SSHD_SAVE_SHA256_CHANGES=1
SSHD_DEFAULT_KEYS="/etc/ssh/ssh_host_dsa_key /etc/ssh/ssh_host_key /etc/ssh/ssh_host_rsa_key"
PARANOID=0

[LEVEL_3]

[LEVEL_4]

[LEVEL_5]
SSHD_PRIVSEP_DIR_PERM=700
PARANOID=1
