#!/usr/bin/env sh
. "${TESTS_DIRS}/bash_defs.sh"

SELINUX_MODE=`getenforce`


if [[ $SELINUX_MODE != $MODE ]] && [[ $SELINUX_MODE != "Enforcing" ]]
 then
	report ERROR 1 "Selinux is disabled or running in wrong mode"
	report HINT 1 "Please see man selinux first and then run system-config-selinux. \
You can also run it from Menu->System->SELinux Management"
fi

test_exit ${E_OK}

